## org.eclipse.emf.validation.service
Interface ILiveValidator

All Superinterfaces:
  IValidator<Notification>

    public interface ILiveValidator

extends IValidator<Notification>

An `IValidator` that supports live-mode validation of `Notification`s.

Not intended to be implemented by clients.

See Also:
  `ModelValidationService.newValidator(EvaluationMode)`, `EvaluationMode.LIVE`

Method Summary
`FilteredCollection.Filter<Notification>` `getNotificationFilter()` Obtains a filter that is used to determine which notifications will be validated (passed on to constraints to check).
`void` `setNotificationFilter(FilteredCollection.Filter<Notification> filter)` Sets the filter that is used to determine which notifications will be validated (passed on to constraints to check).
`IStatus` `validate(Notification notification)` Validates the specified `EMF event`.

Methods inherited from interface org.eclipse.emf.validation.service.IValidator
`addConstraintFilter, getClientData, getConstraintFilters, getEvaluationMode, isReportSuccesses, putClientData, removeConstraintFilter, setReportSuccesses, validate`

Method Detail

### validate

    IStatus validate(Notification notification)

  Validates the specified `EMF event`. This method is a synonym for the inherited `IValidator.validate(Object)`.

  Specified by:
    `validate` in interface `IValidator<Notification>`
  Parameters:
    `notification` - the EMF event to validate
  Returns:
    the validation status
  See Also:
    `IValidator.validate(Object)`

### getNotificationFilter

    FilteredCollection.Filter<Notification> getNotificationFilter()

  Obtains a filter that is used to determine which notifications will be validated (passed on to constraints to check). The default filter, if one is not set by the client of the validator, excludes any notification from an object that is not attached to a resource at the time of validation.

  Returns:
    my notification filter
  Since:
    1.1
  See Also:
    `setNotificationFilter(org.eclipse.emf.validation.util.FilteredCollection.Filter)`

### setNotificationFilter

    void setNotificationFilter(FilteredCollection.Filter<Notification> filter)

  Sets the filter that is used to determine which notifications will be validated (passed on to constraints to check).

  Parameters:
    `filter` - the notification filter to use
  Since:
    1.1
  See Also:
    `getNotificationFilter()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.